Subject: Re: Multicast and hardware checksum

From: Baruch Even <[email-masked]>
Date: Fri, 08 Jun 2007 14:15:07 +0300

Herbert Xu wrote:
> On Fri, Jun 08, 2007 at 02:02:27PM +0300, Baruch Even wrote:
>> As far as IGMP and multicast handling everything works, the packets are 
>> even forwarded over the ppp links but they arrive to the client with a 
>> bad checksum. I don't have the trace in front of me but I believe it was 
>> the UDP checksum that failed.
> 
> What kind of a ppp device is this?
> 
> If you run a tcpdump either side of the ppp link do you see the same
> UDP checksum value?

This is a pptp link. I've checked the checksum on the receive side, I 
don't know on the sender side and I'll only be able to try it on Sunday.

Baruch